Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCObject.h

Go to the documentation of this file.

    00001 /*
    00002  * ExNihilo 3D Engine
    00003  *
    00004  *  This program is free software; you can redistribute it and/or modify
    00005  *  it under the terms of the GNU General Public License as published by
    00006  *  the Free Software Foundation; either version 2 of the License, or
    00007  *  (at your option) any later version.
    00008  *
    00009  *  This program is distributed in the hope that it will be useful,
    00010  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
    00011  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    00012  *  GNU Library General Public License for more details.
    00013  *
    00014  *  You should have received a copy of the GNU General Public License
    00015  *  along with this program; if not, write to the Free Software
    00016  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00017  *
    00018  * Please read AUTHORS file !!!
    00019  *
    00020  * $Id: ExCObject.h,v 1.15 2002/11/19 17:13:26 data Exp $
    00021  *
    00022  */
    00023
    00024 #ifndef __EXOBJECT_H__
    00025 #define __EXOBJECT_H__
    00026 //--------------------------------
    00027 // File to include
    00028 //--------------------------------
    00029 #include "ExDefine.h"
    00030 #include "ExMath.h"
    00031 #include "ExCTime.h"
    00032 #include "ExNihiloNameSpace.h"
    00033 //--------------------------------
    00034 class ExCObject
    00035 {
    00036 protected:
    00037 //--------------------------------
    00038 // Variable
    00039 //--------------------------------
    00040         ExNihilo::ExId                  m_ObjectId;
    00041         std::string                             m_ObjectName;
    00042         std::string                             m_ObjectFileName;
    00043         std::string                             m_ObjectType;
    00044 public:
    00045
    00046 //--------------------------------
    00047 // Constructor // Destructor
    00048 //--------------------------------
    00049         ExCObject();
    00050         ExCObject(std::string FileName);
    00051         virtual ~ExCObject();
    00052 //--------------------------------
    00053 // Methode
    00054 //--------------------------------
    00055         virtual void Draw(void);
    00056         virtual bool LoadFile(std::string FileName);
    00057
    00058         void SetIdName(ExNihilo::IdName idname);
    00059         inline ExNihilo::ExId GetId(void){return m_ObjectId;}
    00060         inline std::string GetName(void){return m_ObjectName;}
    00061         inline std::string GetFileName(void){return m_ObjectFileName;}
    00062         inline std::string GetType(void){return m_ObjectType;}
    00063         inline void SetId(ExNihilo::ExId Id){m_ObjectId=Id;}
    00064         inline void SetName(std::string  Name){m_ObjectName = Name;}
    00065         inline void SetFileName(std::string      FileName){m_ObjectFileName = FileName;}
    00066         inline void SetType(std::string  Type){m_ObjectType = Type;}
    00067         //--------------------------------------------------------
    00068 };
    00069
    00070 #endif // __EXOBJECT_H__